package com.yihu.wlyy.entity.consult;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by 卓 on 2017/5/10.
 */
@Entity
@Table(name = "wlyy_evaluate")
public class Evaluate extends IdEntity {

    private static final long serialVersionUID = -161924234234189L;

    private String doctor;//被评价的医生

    private String patient;//评价人

    private String consult;//咨询

    private Integer score;//分数

    private Integer type;//1、实名，2、匿名

    private Integer evaluateType;//评价种类0、实名评价， 1、专业能力，2、服务态度，3、回复速度


    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getConsult() {
        return consult;
    }

    public void setConsult(String consult) {
        this.consult = consult;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getEvaluateType() {
        return evaluateType;
    }

    public void setEvaluateType(Integer evaluateType) {
        this.evaluateType = evaluateType;
    }
}
